summaryrefslogtreecommitdiffstats
path: root/scripts/yosys/synth_osu018.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/yosys/synth_osu018.sh')
-rw-r--r--scripts/yosys/synth_osu018.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/yosys/synth_osu018.sh b/scripts/yosys/synth_osu018.sh
new file mode 100644
index 0000000..7a8693d
--- /dev/null
+++ b/scripts/yosys/synth_osu018.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -ex
+if test ! -s osu018_stdcells.lib; then
+ wget --continue -O osu018_stdcells.lib.part http://vlsiarch.ecen.okstate.edu/flows/MOSIS_SCMOS/`
+ `latest/cadence/lib/tsmc018/signalstorm/osu018_stdcells.lib
+ mv osu018_stdcells.lib.part osu018_stdcells.lib
+fi
+yosys -p 'synth -top picorv32; dfflibmap -liberty osu018_stdcells.lib; abc -liberty osu018_stdcells.lib; stat' ../../picorv32.v